> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download execution file

> Redirects to a short-lived signed URL for downloading the file.



## OpenAPI

````yaml https://odyssey.asteroid.ai/agents/v2/openapi.yaml get /executions/{executionId}/files/{fileId}/download
openapi: 3.1.0
info:
  title: Agent Service
  version: v1
servers:
  - description: V2 API
    url: https://odyssey.asteroid.ai/agents/v2
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
  - name: Execution
  - name: Files
  - name: Agent Profiles
  - name: Agent Profile Pools
  - name: Workflows
  - name: Schema
  - name: Documentation
  - name: Context
paths:
  /executions/{executionId}/files/{fileId}/download:
    get:
      tags:
        - Files
      summary: Download execution file
      description: Redirects to a short-lived signed URL for downloading the file.
      operationId: ExecutionFileDownloadRedirect
      parameters:
        - in: path
          name: executionId
          required: true
          schema:
            $ref: '#/components/schemas/Common.uuid'
        - in: path
          name: fileId
          required: true
          schema:
            $ref: '#/components/schemas/Common.uuid'
      responses:
        '303':
          description: Redirection
          headers:
            Location:
              required: true
              schema:
                type: string
        '404':
          content:
            text/plain:
              schema:
                enum:
                  - File not found.
                type: string
          description: The server cannot find the requested resource.
components:
  schemas:
    Common.uuid:
      format: uuid
      type: string
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: X-Asteroid-Agents-Api-Key
      type: apiKey

````